{% extends 'site_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% load humanize %}

{% block content %}
    <!--<link rel="stylesheet" type="text/css" href="{% static 'css/new-style.css' %}">-->

    <section class="content-header customer_content_header">
        <h1>Warehouse Dashboard<small>Version 2.0</small></h1>
        <ol class="breadcrumb">
            <li><a href="javascript:void(0);"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>

    <section style="min-height: 10px;" class="content">
        <div class="row">
            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-aqua"><i class="ion ion-ios-gear-outline"></i></span>
                    
                    <div class="info-box-content" style="text-align: center;">
                        <span class="info-box-text">Assign Warehouse</span>
                        <a href="{% url 'warehouseorders' 'orders' %}">
                        <span class="info-box-number">
                                {{confirm}}
                            <!-- ₹ {{header.processing.amount|floatformat:2|default:"0"|intcomma}} -->
                        </span> </a>
                    </div>
                    
                </div>
            </div>

            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-red"><i class="fa fa-university" aria-hidden="true"></i></span>

                    <div class="info-box-content" style="text-align: center;">
                        <span class="info-box-text">Warehouses</span>
                        <a href="{% url 'warehouse' %}">
                        <span class="info-box-number">
                          {{warehouses|default:"0"}}
                        </span></a>
                    </div>
                </div>
            </div>

            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-green"><i class="fa fa-truck"></i></span>
                   
                    <div class="info-box-content" style="text-align: center;">
                        <span class="info-box-text">Dispatched</span>
                        <a href="{% url 'warehouseorders' 'dispatched' %}">
                        <span class="info-box-number">{{orderdispatch}}</span></a>
                    </div>
                    
                </div>
            </div>

            <div class="col-md-3 col-sm-6 col-xs-12">
                <div class="info-box">
                    <span class="info-box-icon bg-yellow"><i class="fa fa-cubes" aria-hidden="true"></i></span>

                    <div class="info-box-content" style="text-align: center;">
                        <span class="info-box-text">Stock Out</span>
                        <a href="/user/custom-inventory?warehouse=all&amp;first=all&amp;second=all&amp;third=all&amp;four=all&amp;five=all&amp;outstock=Out+Stock">
                        <span class="info-box-number">
                            {{out_stock|default:"0"}}
                        </span> </a>
                    </div>
                </div>
            </div><!-- /.box-header -->

            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="box box-info">
                            <div class="box-header with-border">
                                <h3 class="box-title" style="font-weight: 600;">Assign Warehouse</h3>
                                <div class="box-tools pull-right">
                                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                        <i class="fa fa-minus"></i>
                                    </button>
                                    <!--<button type="button" class="btn btn-box-tool" data-widget="remove">-->
                                        <!--<i class="fa fa-times"></i>-->
                                    <!--</button>-->
                                </div>
                            </div><!-- /.box-header -->

                            <div class="box-body">
                                <div class="table-responsive">
                                    {% if pending %}
                                        <table class="table no-margin">
                                            <thead>
                                                <tr>
                                                    <th>Order No</th>
                                                    <!--<th>DMS No</th>-->
                                                    <th>Order Date</th>
                                                    <th>Dispatch Date</th>
                                                    <th>Invoice Value</th>
                                                    <th>Status</th>
                                                    <th>Warehouse </th>
                                                    <th>WH User</th>
                                                    <th>SR </th>
                                                    <th>Dealer </th>

                                                </tr>
                                            </thead>
                                            <tbody>
                                                {% for obj in pending|slice:":5"  %}
                                                {% if obj.status == 'OrderPlaced'%}
                                                    <tr>
                                                        <td>
                                                            <a href="/user/warehouse-order-detail/{{obj.order_number}}">
                                                                {{obj.order_number}}
                                                            </a>
                                                        </td>

                                                        <td>{{obj.order_date|date|default:"---"}}</td>
                                                        <td>{{obj.Dispatched_Date|date|default:'---'}}</td>
                                                        <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                                                        <td><span class="label label-info {{obj.status}}">
                                                            {{obj.get_status_display}}
                                                            <!--AssignWarehouse-->
                                                        </span></td>
                                                        <td>{{obj.warehouse_code|default:"---"}}</td>
                                                        <td>{{obj.warehouse_manager.first_name|default:"---"}}</td>
                                                        <!-- <td><a href="{% url 'dealer_profile' obj.dealer.pk %}" >{{obj.dealer.first_name}} {{obj.dealer.last_name}}</a></td> -->
                                                        <td>{{obj.sr_id.first_name}} {{obj.sr_id.last_name}}</td>
                                                        <td>
                                                            <!--{{obj.dealer.first_name}} {{obj.dealer.last_name}}-->
                                                            <a href="{% url 'dealer_profile' obj.dealer.pk %}">
                                                                {{obj.dealer.user_code}}.{{obj.company}} </a>
                                                        </td>


                                                    </tr>
                                                {% endif %}
                                                {% endfor %}
                                            </tbody>
                                        </table>
                                    {% else %}
                                        <span>Data Not Found!!!</span>
                                    {% endif %}
                                </div><!-- /.table-responsive -->
                            </div><!-- /.box-body -->
                            {% if pending|length > 5 %}
                            <div class="box-footer clearfix">
                                    <a href="/user/warehouse-admin-dashboard/Orderslist/OrderPlaced" class="btn btn-sm btn-default btn-flat pull-right">
                                        View All Orders
                                    </a>
                                </div>
                            {% endif %}
                            <!-- /.box-footer -->
                        </div><!-- /.chart-responsive -->
                    </div><!-- /.col -->
                </div>
            </div>
        </div>
    </section>
    <section style="min-height: 10px;" class="content">

            <div class="box-body">
                <div class="row">
                    <div class="col-md-12">
                        <div class="box box-info" style="border-top: 0;">
                            <div class="box-header with-border">
                                <h3 class="box-title" style="font-weight: 600;">Pending Dispatch</h3>
                                <div class="box-tools pull-right">
                                    <button type="button" class="btn btn-box-tool" data-widget="collapse">
                                        <i class="fa fa-minus"></i>
                                    </button>
                                    <!--<button type="button" class="btn btn-box-tool" data-widget="remove">-->
                                        <!--<i class="fa fa-times"></i>-->
                                    <!--</button>-->
                                </div>
                            </div><!-- /.box-header -->

                            <div class="box-body">
                                <div class="table-responsive">
                                    {% if dispatched %}
                                        <table class="table no-margin">
                                            <thead>
                                                <tr>
                                                    <th>Order No</th>
                                                    <!--<th>DMS No</th>-->
                                                    <th>Order Date</th>
                                                    <!--<th>Dispatch Date</th>-->
                                                    <th>Invoice Value</th>
                                                    <th>Status</th>
                                                    <th>Warehouse </th>
                                                    <th>WH User</th>
                                                    <th>SR </th>
                                                    <th>Dealer </th>

                                                </tr>
                                            </thead>
                                            <tbody>
                                                {% for obj in dispatched|slice:":5"  %}
                                                <tr>
                                                        <td>
                                                            <a href="/user/warehouse-order-detail/{{obj.order_number}}">
                                                                {{obj.order_number}}
                                                            </a>
                                                        </td>

                                                        <td>{{obj.order_date|date|default:"---"}}</td>

                                                        <td>₹ {{obj.total_amount|floatformat:2|intcomma}}</td>
                                                        <td><span class="label label-info {{obj.status}}">
                                                            {{obj.get_status_display}}
                                                        <!--Pending Dispatch-->
                                                        </span></td>
                                                        <td>{{obj.warehouse_code|default:"NA"}}</td>
                                                        <td>{{obj.warehouse_manager.first_name|default:"NA"}}</td>
                                                        <!-- <td><a href="{% url 'dealer_profile' obj.dealer.pk %}" >{{obj.dealer.first_name}} {{obj.dealer.last_name}}</a></td> -->
                                                        <td>{{obj.sr_id.first_name}} {{obj.sr_id.last_name}}</td>
                                                        <td>
                                                            <!--{{obj.dealer.first_name}} {{obj.dealer.last_name}}-->
                                                            <a href="{% url 'dealer_profile' obj.dealer.pk %}">
                                                                {{obj.dealer.user_code}}.{{obj.company}} </a>
                                                        </td>


                                                    </tr>

                                                {% endfor %}
                                            </tbody>
                                        </table>
                                    {% else %}
                                        <span>Data Not Found!!!</span>
                                    {% endif %}
                                </div><!-- /.table-responsive -->
                            </div><!-- /.box-body -->
                            {% if dispatched|length > 5 %}
                            <div class="box-footer clearfix">
                                    <a href="/user/warehouse-admin-dashboard/Orderslist/InWarehouse" class="btn btn-sm btn-default btn-flat pull-right">
                                        View All Orders
                                    </a>
                                </div>
                            {% endif %}
                            <!-- /.box-footer -->
                        </div><!-- /.chart-responsive -->
                    </div><!-- /.col -->
                </div>
            </div>

    </section>

{% endblock %}

{% block extra_script_block %}
    {{ block.super }}

    <script type="text/javascript">
        $(document).ready(function(){
            $('.content-header').first().remove();
        });
    </script>
{% endblock %}